--- ./dsimple.h.orig	2010-05-12 16:56:06.000000000 +0200
+++ ./dsimple.h	2010-05-12 16:56:19.000000000 +0200
@@ -12,26 +12,26 @@
 
     /* Global variables used by routines in just_display.c */
 
-char *program_name = "unknown_program";       /* Name of this program */
-Display *dpy;                                 /* The current display */
-int screen;                                   /* The current screen */
+extern char *program_name;       /* Name of this program */
+extern Display *dpy;                                 /* The current display */
+extern int screen;                                   /* The current screen */
 
 #define INIT_NAME program_name=argv[0]        /* use this in main to setup
                                                  program_name */
 
     /* Declaritions for functions in just_display.c */
 
-void Fatal_Error();
-char *Malloc();
-char *Realloc();
-char *Get_Display_Name();
-Display *Open_Display();
-void Setup_Display_And_Screen();
-XFontStruct *Open_Font();
-void Beep();
-Pixmap ReadBitmapFile();
-void WriteBitmapFile();
-Window Select_Window_Args();
+void Fatal_Error(char *msg, ...);
+char *Malloc(size_t);
+char *Realloc(void*,size_t);
+char *Get_Display_Name(int*,char **);
+Display *Open_Display(char *);
+void Setup_Display_And_Screen(int *, char **);
+XFontStruct *Open_Font(char *);
+void Beep(void);
+Pixmap ReadBitmapFile(Drawable,char *,int*,int*,int*,int*);
+void WriteBitmapFile(char *,Pixmap,int,int,int,int);
+Window Select_Window_Args(int *,char **);
 
 #define X_USAGE "[host:display]"              /* X arguments handled by
 						 Get_Display_Name */
@@ -45,9 +45,10 @@
  * Send bugs, etc. to chariot@athena.mit.edu.
  */
 
-unsigned long Resolve_Color();
-Pixmap Bitmap_To_Pixmap();
-Window Select_Window();
-void out();
-void blip();
-Window Window_With_Name();
+unsigned long Resolve_Color(Window,char *);
+Pixmap Bitmap_To_Pixmap(Display *,Drawable,GC,Pixmap,int,int);
+Window Select_Window(Display *);
+void out(void);
+void blip(void);
+Window Window_With_Name(Display *,Window,char *);
+void usage(void);
